Cast error in ofmem (Visual Studio 2008)
Status: Closed Start date: 2012-12-11
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: ofstd Compiler:

Operating System:

Description

ofmem.h(193) : error C2664: 'InterlockedIincrement’: Konvertierung des Parameters 1 von 'size_t *' in 'volatile LONG *' nicht
m[NON-UTF-8-BYTE-0x94]glich

Die Typen, auf die verwiesen wird, sind nicht verkn[NON-UTF-8-BYTE-0x81l]pft; die Konvertierung erf
ordert einen reinterpret_cast-Operator oder eine Typumwandlung im C- oder Funktionsformat.
\\vboxsvr\winbuild-src\ofstd\include\dcmtk/ofstd/ofmem.h (189): Bei der Kompilierung der K
lassen-template der void OFshared_ptr&lt;T&gt; ::Data::increment_count (void) -Memberfunktion
with
[
T=int
]
\\vboxsvr\winbuild-src\ofstd\include\dcmtk/ofstd/ofmem.h (69): Siehe Verweis auf die Instan
ziierung der gerade kompilierten Klassen-template "OFshared_ptré&lt;T&gt; ::Data".
with
[
T=int

History

#1 - 2013-02-13 17:26 - Jorg Riesmeier

- Target version set to 3.6.2

#2 - 2013-04-09 17:26 - Jan Schlamelcher
- Status changed from New to Resolved

- % Done changed from 0 to 100

Already fixed in commit 6373779842995bc308b1852ad82c3de573f47212, seems i just forgot to update this issue. Solved by using LONG instead of
size_t when compiling for windows.

#3 - 2013-08-22 15:49 - J6rg Riesmeier

- Status changed from Resolved to Closed
